# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Public Attributes | List of all members
mpg123_moreinfo Struct Reference
mpg123 status and information

`#include <mpg123.h>`

## Public Attributes
double | xr [2][2][576]
double | sfb [2][2][22]
double | sfb_s [2][2][3 *13]
int | qss [2][2]
int | big_values [2][2]
int | sub_gain [2][2][3]
int | scalefac_scale [2][2]
int | preflag [2][2]
int | blocktype [2][2]
int | mixed [2][2]
int | mainbits [2][2]
int | sfbits [2][2]
int | scfsi [2]
int | maindata
int | padding

## Detailed Description

Data structure for even more detailed information out of the decoder, for MPEG layer III only. This was added to support the frame analyzer by the Lame project and just follows what was used there before. You know what the fields mean if you want use this structure.

Definition at line 1539 of file mpg123.h.

## Member Data Documentation

## ◆ xr

double mpg123_moreinfo::xr[2][2][576]

internal data

Definition at line 1541 of file mpg123.h.

## ◆ sfb

double mpg123_moreinfo::sfb[2][2][22]

[2][2][SBMAX_l]

Definition at line 1542 of file mpg123.h.

## ◆ sfb_s

double mpg123_moreinfo::sfb_s[2][2][3 *13]

[2][2][3*SBMAX_s]

Definition at line 1543 of file mpg123.h.

## ◆ qss

int mpg123_moreinfo::qss[2][2]

internal data

Definition at line 1544 of file mpg123.h.

## ◆ big_values

int mpg123_moreinfo::big_values[2][2]

internal data

Definition at line 1545 of file mpg123.h.

## ◆ sub_gain

int mpg123_moreinfo::sub_gain[2][2][3]

internal data

Definition at line 1546 of file mpg123.h.

## ◆ scalefac_scale

int mpg123_moreinfo::scalefac_scale[2][2]

internal data

Definition at line 1547 of file mpg123.h.

## ◆ preflag

int mpg123_moreinfo::preflag[2][2]

internal data

Definition at line 1548 of file mpg123.h.

## ◆ blocktype

int mpg123_moreinfo::blocktype[2][2]

internal data

Definition at line 1549 of file mpg123.h.

## ◆ mixed

int mpg123_moreinfo::mixed[2][2]

internal data

Definition at line 1550 of file mpg123.h.

## ◆ mainbits

int mpg123_moreinfo::mainbits[2][2]

internal data

Definition at line 1551 of file mpg123.h.

## ◆ sfbits

int mpg123_moreinfo::sfbits[2][2]

internal data

Definition at line 1552 of file mpg123.h.

## ◆ scfsi

int mpg123_moreinfo::scfsi[2]

internal data

Definition at line 1553 of file mpg123.h.

## ◆ maindata

int mpg123_moreinfo::maindata

internal data

Definition at line 1554 of file mpg123.h.

## ◆ padding

int mpg123_moreinfo::padding

internal data

Definition at line 1555 of file mpg123.h.

The documentation for this struct was generated from the following file:

- mpg123.h